import time

from common.feishu_utils import Feishu


class Material():

    @classmethod
    def feishu_list(cls):
        for i in range(3):
            data = Feishu.get_values_batch( "U3jrs64cxhJ40Dt4VmXcS0TKnkf", "cb7QdW" )
            for row in data[0:]:
                mark = row[0]
                prompt = row[1]
                if mark and prompt:
                    return mark, prompt
                else:
                    time.sleep(5)

if __name__ == '__main__':
    mark, prompt = Material.feishu_list()
    print(mark, prompt)